//  Select tile map
pathmapID = layer_tilemap_get_id(layer_get_id("TilesPath"));
tilemapID = layer_tilemap_get_id(layer_get_id("TilesWorld"));
tileW = tilemap_get_tile_width(tilemapID);
tileH = tilemap_get_tile_height(tilemapID);

//  Create pathing grid
gridW = tilemap_get_width(tilemapID);
gridH = tilemap_get_height(tilemapID);
gridFree = undefined;
grid = ds_grid_create(gridW, gridH);
ds_grid_clear(grid, gridFree);

//  Set cursor position
posX = x div tileW;
posY = y div tileH;
step = 1;
grid[# posX, posY] = step;
update = true;

//  Setup path layer color blend shader
pathColor = [1.0, 0.25, 0.5, 1.0];
layer_script_begin("TilesPath", function()
{
    if (event_type == ev_draw && event_number == 0) 
    { 
        shader_set(shColorBlend); 
        shader_set_uniform_f_array(shader_get_uniform(shColorBlend, "u_vColor"), pathColor);
    }
});
layer_script_end("TilesPath", function()
{
    shader_reset(); 
});

//  copyright (c) 2021, John Leffingwell
